Read a media object with Meta's response
curl --request GET \
--url https://cloud.watahub.dev/v{graphVersion}/{mediaId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v{graphVersion}/{mediaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v{graphVersion}/{mediaId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"messaging_product": "whatsapp",
"url": "<string>",
"mime_type": "<string>",
"sha256": "<string>",
"file_size": 123,
"id": "<string>"
}{
"error": "<string>",
"fields": [
"<string>"
],
"requestId": "<string>"
}{
"error": "<string>",
"fields": [
"<string>"
],
"requestId": "<string>"
}API reference
Read a media object with Meta's response
Read a media object with Meta’s response
GET
/
v
{graphVersion}
/
{mediaId}
Read a media object with Meta's response
curl --request GET \
--url https://cloud.watahub.dev/v{graphVersion}/{mediaId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v{graphVersion}/{mediaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v{graphVersion}/{mediaId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"messaging_product": "whatsapp",
"url": "<string>",
"mime_type": "<string>",
"sha256": "<string>",
"file_size": 123,
"id": "<string>"
}{
"error": "<string>",
"fields": [
"<string>"
],
"requestId": "<string>"
}{
"error": "<string>",
"fields": [
"<string>"
],
"requestId": "<string>"
}Authorizations
bearerApiKeyheaderApiKey
Tenant API key.
Path Parameters
Any N.N. Ignored: Graph is called with the gateway's META_API_VERSION.
Pattern:
^\d+\.\d+$Numeric Meta Graph ID.
Pattern:
^\d+$Query Parameters
Numeric Meta Graph ID.
Pattern:
^\d+$Was this page helpful?